*{
    box-sizing: border-box;
    padding: 0;
    margin:0;
}

body{
    height: 100vh;
}

main{
    text-align: center;
    background-image: url("/images/notifications_wallpaper.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0.5rem;
}

aside{
    padding-top: 0.6rem;
    margin-left: 0.4rem;
    margin-right: 0.4rem;
    display: flex;
    gap: 0.5rem;
}

h3{
    padding: 1rem;
}

.button{
    padding: 0.5rem;
    background-color: rgba(16, 33, 109, 0.8);
    width: 100%;
    color: white;
    border-radius: 5px;
    text-decoration: none;
}

#notifications-cont{
    min-height: 150px;
    padding: 1rem;
    margin: 0.5rem;
    border: 1px solid black;
    background-color: rgba(111, 113, 124, 0.2);
    border-radius: 15px;

}

.button:hover{
    background-color: rgba(16, 33, 109, 0.95);
    text-decoration: none;
    color: white;
}

#userboatList{
    width: 50%;
}

.leftLabel{
    width: 100%;
    margin-top: 1rem;
    text-align: left;
}

.sendButtonsImg{
    max-height: 3rem;
    max-width: 100%;
}

.sendButton{
    background-color: rgba(98, 188, 237, 0.145);
    padding: 1rem;
    display: flex;
    flex-direction: column;
    border: 1px solid black;
    width: 20%;
    align-items: center;
    text-decoration: none;
    color: black
}

.sendButton:hover{
    background-color: rgba(98, 188, 237, 0.43);
    padding: 1rem;
    border: 1px solid black;
    width: 20%;
    text-decoration: none;
    color: black
}

.send-buttons-cont{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

@media (min-width: 768px){
    body {
        display: grid;
        overflow: hidden;
        grid-template-rows: 1fr 8fr;
    }

    #notifications-cont{
        min-height: 75%;
    }

    #userboatList{
        width: 25%;
    }
}

@media (min-width: 1024px) {
    body{
        display: grid;
        grid-template-areas: 
            "header"
            "main";
        height: 100vh;
        grid-template-rows: 1fr 8fr;
        margin:0;
        padding: 0;
        gap:0;
    }

    main{
        grid-area: main;
        display: grid;
        grid-template-areas: 
            "title title"
            "aside msgcont";
        grid-template-columns: auto 1fr;
        grid-template-rows: auto 1fr;
        height: 100%;
        overflow: hidden;
    }

    header{
        grid-area: header;
        height: 100%;
    }

    .button{
        display:flex;
        justify-content: center;
        height: 11%;
        margin-left: 1rem;
        margin-right: 1rem;
        width: calc(100% - 2rem);
        text-align: center;
        align-items: center;
    }

    #notifications-cont{
        grid-area: msgcont;
        display: flex;
        flex-direction: column;
        overflow-y: scroll;
        margin:0;
        margin-right: 1rem;
        margin-bottom: 1rem;
        margin-left: 0.5rem;
        background-color: rgba(111, 113, 124, 0.2);
        border-top-left-radius: 15px;
        border-radius: 0;
        border-bottom-left-radius: 15px;
    }

    #aside-buttons{
        grid-area: aside;
        justify-content: space-around;
        display: flex;
        flex-direction: column;
    }

    #title{
        grid-area: title;
    }

}
